Name		: fotox
Version		: 43
Release		: %mkrel 1
License		: GPL
Summary		: Fotox is a free open-source Linux program for improving image files made with a digital camera.
Group		: Graphical desktop/KDE
URL		: http://kornelix.squarespace.com/fotox/
BuildRoot	: %{_tmppath}/%{name}-%{version}
Source0		: %name.%version.tar.gz
Source1		: %{name}
BuildRequires	: gtk+2-devel devel(libexiv2)
Requires        : gtk+2.0 exiv2

%description
Fotox is a free open-source Linux program for improving image files made with a digital camera. 
The following functions are provided:

Show thumbnails of image files in a directory, navigate, choose files to view or edit.
Adjust overexposed or underexposed areas to improve visibility of detail 
(change brightness independently for different brightness levels).
Reduce fog or haze by removing "whiteness" and intensifying colors.
High dynamic range (HDR) photography: combine an underexposed and 
overexposed image to improve details visible in both bright and dark areas.
Automatic image alignment.
Photo stitching or panorama: stitch two or more images together to make an ultra-wide image. 
Simple image alignment and brightness / color matching.
Crop an image (choose the area of interest and cut-off the margins).
Rotate an image by any angle (level a tilted image, or turn in 90 degree steps).
Resize an image, with convenience buttons for 2/3, 1/2, 1/3 and 1/4 size.
Red-eye removal.

The program exiv2 is used to read the EXIF data that is commonly imbedded in images 
from digital cameras (exposure data, date ...). If you want access to this data, you
need to install the exiv2 package. Otherwise the fotox EXIF function will simply not work.

%prep  
rm -rf %{buildroot}

%setup -c -q

%install

%{__install} -d -m 755 %{buildroot}%{_datadir}
cp -a %{name} %{buildroot}%{_datadir}/

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_iconsdir}
install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png

cd %{buildroot}%{_datadir}/%{name}
g++ -O -Wall -o %{name} %{name}.cpp zfuncs.cpp \
$(pkg-config --cflags gtk+-2.0 --libs gtk+-2.0 gthread-2.0) \
-D "DATADIR=\"%{_datadir}/%{name}\"" -D "DOCDIR=\"%{_defaultdocdir}\""
if [ $? -ne 0 ]; then exit 1; fi

chmod  a+rx %{buildroot}%{_datadir}/%{name}/%{name}
chmod  -R  a+r %{buildroot}%{_datadir}/%{name}/*

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=fotox
Exec=fotox
Icon=fotox.png
Terminal=false
Type=Application
Categories=Graphics;2DGraphics;RasterGraphics;GTK;X-MandrivaLinux-Multimedia-Graphics;

EOF

%post
%update_menus

%postun
%update_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/%{name}.png
%attr(0755,root,root) %{_bindir}/%{name}

%changelog
* Thu May 22 2008 Doktor5000 <rpmqmandrivauser.de> 43-1mud2008.0
- backported to Mandrivalinux 2008.0

* Wed May 21 2008 Doktor5000 <rpmqmandrivauser.de> 43-1mud2008.1
- updated to 43
- really update to new version
- fixed %%BuildRequires

* Sun May 18 2008 Doktor5000 <rpmqmandrivauser.de> 42-1mud2008.1
- rebuild for Mandrivalinux 2008.1
- updated to 42

* Sat Jan 19 2008 Doktor5000 <rpmqmandrivauser.de> 34-1mud2008.0
- rebuild for Mandrivalinux 2008.0

* Thu Jan 17 2008 maik3531 <maik3531@web.de> 3.7.beta
- build for PCLinuxOS
